org.apache.lucene.search.vectorhighlight

## Class FieldPhraseList.WeightedPhraseInfo.Toffs

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo.Toffs

- All Implemented Interfaces:
    Comparable<FieldPhraseList.WeightedPhraseInfo.Toffs>
  Enclosing class:
    FieldPhraseList.WeightedPhraseInfo

      public static class FieldPhraseList.WeightedPhraseInfo.Toffs
      extends Object
      implements Comparable<FieldPhraseList.WeightedPhraseInfo.Toffs>

  Term offsets (start + end)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Toffs(int startOffset, int endOffset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FieldPhraseList.WeightedPhraseInfo.Toffs other)`
    `boolean` | `equals(Object obj)`
    `int` | `getEndOffset()`
    `int` | `getStartOffset()`
    `int` | `hashCode()`
    `void` | `setEndOffset(int endOffset)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Toffs

          public Toffs(int startOffset,
                       int endOffset)

  - ### Method Detail

    - #### setEndOffset

          public void setEndOffset(int endOffset)

    - #### getStartOffset

          public int getStartOffset()

    - #### getEndOffset

          public int getEndOffset()

    - #### compareTo

          public int compareTo(FieldPhraseList.WeightedPhraseInfo.Toffs other)

      Specified by:
        `compareTo` in interface `Comparable<FieldPhraseList.WeightedPhraseInfo.Toffs>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.